using System;

namespace ConsoleApp13
{
    class Program
    {
        static bool paralelne(float a1, float b1, float a2, float b2)
        {

            if ((-(a1 / b1)) == (-(a2 / b2)))
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            float[] x = new float[n];
            float[] y = new float[n];
            
            //double[] d1 = new double[n*n];
            int br = 1;

            for (int i = 0; i < n; i++)
            {
                var v = Console.ReadLine().Split();
                x[i] = int.Parse(v[0]);
                y[i] = int.Parse(v[1]);
                if (i > 1)
                {
                    //d1[i-1] = Math.Sqrt(Math.Pow(x[i + 1] - x[i], 2) + Math.Pow(y[i + 1] - y[i], 2));
                    if (paralelne(x[i - 1], y[i - 1], x[i], y[i]))
                    {
                        br++;
                    }
                }
            }
            Console.WriteLine(br);
        }
    }
}